Skip to main content

Retrieve a single card transaction information

GET 

/api/card_transaction_details/:id

This API endpoint allows you to retrieve detailed information about a specific card transaction, making it a valuable tool for accessing precise transaction details in your system.

Request

Path Parameters

    id stringrequired

    CardTransactionDetail identifier

Responses

OK - The request was processed successfully.

Schema
    id integer
    currency string
    amount string
    originalCurrency string
    originalAmount string
    type string

    Possible values: [authorization, transaction, reversal]

    executionDate string
    settlementDate stringnull
    status string

    Possible values: [executed, pending]

    card object
    id integer
    name string
    pan4 string
    merchant object
    id integer
    name string
    country string
    mccCode string
    documents object
    id integer
    name string
    mimeType string
    expenseCategory object
    id integer
    name string
    accountingAccountNumber string
    externalId string
    expenseCostCenter object
    id integer
    name string
    number string
    comment stringnull
    vat string[]deprecated
    vats object[]
  • Array [
  • expenseVat integernull
    rate string
    amount string
    grossAmount string
    externalId stringnull
  • ]
  • createdAt string
    updatedAt string
    magicLinkUrl stringnull
    error string[]
Loading...